summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTupone Alfredo <tupone@gentoo.org>2019-09-13 21:50:28 +0200
committerTupone Alfredo <tupone@gentoo.org>2019-09-13 21:50:28 +0200
commit8dd9f87799a9268dba04301ce07ead2fbe37d266 (patch)
tree9d5f84ef3fd23f649e5ea6e2fb126914179d5a5d /eclass/ada.eclass
parentmedia-libs/libbluray: Drop old (diff)
downloadgentoo-8dd9f87799a9268dba04301ce07ead2fbe37d266.tar.gz
gentoo-8dd9f87799a9268dba04301ce07ead2fbe37d266.tar.bz2
gentoo-8dd9f87799a9268dba04301ce07ead2fbe37d266.zip
eclass/ada.eclass: Adding gnatprep launcher
Signed-off-by: Alfredo Tupone <tupone@gentoo.org>
Diffstat (limited to 'eclass/ada.eclass')
-rw-r--r--eclass/ada.eclass13
1 files changed, 11 insertions, 2 deletions
diff --git a/eclass/ada.eclass b/eclass/ada.eclass
index 338b73bab86b..e5463e15b303 100644
--- a/eclass/ada.eclass
+++ b/eclass/ada.eclass
@@ -233,6 +233,10 @@ ada_export() {
export GNATLS=${EPREFIX}/usr/bin/gnatls-${gcc_pv}
debug-print "${FUNCNAME}: GNATLS = ${GNATLS}"
;;
+ GNATPREP)
+ export GNATPREP=${EPREFIX}/usr/bin/gnatprep-${gcc_pv}
+ debug-print "${FUNCNAME}: GNATPREP = ${GNATPREP}"
+ ;;
ADA_PKG_DEP)
ADA_PKG_DEP="dev-lang/gnat-gpl:${gcc_pv}"
@@ -341,8 +345,8 @@ ada_wrapper_setup() {
if [[ ! -x ${workdir}/bin/gnatmake ]]; then
mkdir -p "${workdir}"/bin || die
- local GCC GNATMAKE GNATLS GNATBIND
- ada_export "${impl}" GCC GNATMAKE GNATLS GNATBIND
+ local GCC GNATMAKE GNATLS GNATBIND GNATPREP
+ ada_export "${impl}" GCC GNATMAKE GNATLS GNATBIND GNATPREP
# Ada compiler
cat > "${workdir}/bin/gcc" <<-_EOF_ || die
@@ -365,6 +369,11 @@ ada_wrapper_setup() {
exec "${GNATBIND}" "\${@}"
_EOF_
chmod a+x "${workdir}/bin/gnatbind"
+ cat > "${workdir}/bin/gnatprep" <<-_EOF_ || die
+ #!/bin/sh
+ exec "${GNATPREP}" "\${@}"
+ _EOF_
+ chmod a+x "${workdir}/bin/gnatprep"
fi
# Now, set the environment.